class SearchPageAddForm

Same name and namespace in other branches
  1. 11.x core/modules/search/src/Form/SearchPageAddForm.php \Drupal\search\Form\SearchPageAddForm
  2. 10 core/modules/search/src/Form/SearchPageAddForm.php \Drupal\search\Form\SearchPageAddForm
  3. 9 core/modules/search/src/Form/SearchPageAddForm.php \Drupal\search\Form\SearchPageAddForm
  4. 8.9.x core/modules/search/src/Form/SearchPageAddForm.php \Drupal\search\Form\SearchPageAddForm

Provides a form for adding a search page.

@internal

Hierarchy

  • class \Drupal\search\Form\SearchPageAddForm extends \Drupal\search\Form\SearchPageFormBase

Expanded class hierarchy of SearchPageAddForm

1 file declares its use of SearchPageAddForm
SearchPage.php in core/modules/search/src/Entity/SearchPage.php

File

core/modules/search/src/Form/SearchPageAddForm.php, line 12

Namespace

Drupal\search\Form
View source
class SearchPageAddForm extends SearchPageFormBase {
  
  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state, $search_plugin_id = NULL) {
    $this->entity
      ->setPlugin($search_plugin_id);
    $definition = $this->entity
      ->getPlugin()
      ->getPluginDefinition();
    $this->entity
      ->set('label', $definition['title']);
    return parent::buildForm($form, $form_state);
  }
  
  /**
   * {@inheritdoc}
   */
  protected function actions(array $form, FormStateInterface $form_state) {
    $actions = parent::actions($form, $form_state);
    $actions['submit']['#value'] = $this->t('Save');
    return $actions;
  }
  
  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    // If there is no default search page, make the added search the default.
    // TRICKY: ::getDefaultSearchPage() will return the first active search page
    // as the default if no explicit default is configured in `search.settings`.
    // That's why this must be checked *before* saving the form.
    $make_default = !$this->searchPageRepository
      ->getDefaultSearchPage();
    parent::save($form, $form_state);
    if ($make_default) {
      $this->searchPageRepository
        ->setDefaultSearchPage($this->entity);
    }
    $this->messenger()
      ->addStatus($this->t('The %label search page has been added.', [
      '%label' => $this->entity
        ->label(),
    ]));
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function 2
EntityForm::$entityTypeManager protected property The entity type manager. 3
EntityForm::$moduleHandler protected property The module handler service. 3
EntityForm::$operation protected property The name of the current operation.
EntityForm::actionsElement protected function Returns the action form element for the current entity form.
EntityForm::afterBuild public function Form element #after_build callback: Updates the entity with submitted data. 1
EntityForm::buildEntity public function Builds an updated entity object based upon the submitted form values. Overrides EntityFormInterface::buildEntity 5
EntityForm::copyFormValuesToEntity protected function Copies top-level form values to entity properties. 12
EntityForm::getCallableFromDefinition protected function Gets a callable from a string or array definition if possible.
EntityForm::getEntity public function Gets the form entity. Overrides EntityFormInterface::getEntity
EntityForm::getEntityFromRouteMatch public function Determines which entity will be used by this form from a RouteMatch object. Overrides EntityFormInterface::getEntityFromRouteMatch 3
EntityForm::getFormId public function Returns a unique string identifying the form. Overrides FormInterface::getFormId 14
EntityForm::getOperation public function Gets the operation identifying the form. Overrides EntityFormInterface::getOperation
EntityForm::init protected function Initialize the form state and the entity before the first form build. 3
EntityForm::prepareEntity protected function Prepares the entity object before the form is built first. 3
EntityForm::prepareInvokeAll protected function Invokes the specified prepare hook variant.
EntityForm::processForm public function Process callback: assigns weights and hides extra fields.
EntityForm::setEntity public function Sets the form entity. Overrides EntityFormInterface::setEntity
EntityForm::setEntityTypeManager public function Sets the entity type manager for this form. Overrides EntityFormInterface::setEntityTypeManager
EntityForm::setModuleHandler public function Sets the module handler for this form. Overrides EntityFormInterface::setModuleHandler
EntityForm::setOperation public function Sets the operation for this form. Overrides EntityFormInterface::setOperation
FormBase::$configFactory protected property The config factory. 2
FormBase::$requestStack protected property The request stack. 1
FormBase::$routeMatch protected property The route match.
FormBase::config protected function Retrieves a configuration object.
FormBase::configFactory protected function Gets the config factory for this form. 2
FormBase::container private function Returns the service container.
FormBase::currentUser protected function Gets the current user. 2
FormBase::getRequest protected function Gets the request object. Overrides HtmxRequestInfoTrait::getRequest
FormBase::getRouteMatch protected function Gets the route match.
FormBase::logger protected function Gets the logger for a specific channel.
FormBase::redirect protected function Returns a redirect response object for the specified route.
FormBase::resetConfigFactory public function Resets the configuration factory.
FormBase::setConfigFactory public function Sets the config factory for this form.
FormBase::setRequestStack public function Sets the request stack object to use.
HtmxRequestInfoTrait::getHtmxCurrentUrl protected function Retrieves the URL of the requesting page from an HTMX request header.
HtmxRequestInfoTrait::getHtmxPrompt protected function Retrieves the prompt from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTarget protected function Retrieves the target identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTrigger protected function Retrieves the trigger identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTriggerName protected function Retrieves the trigger name from an HTMX request header.
HtmxRequestInfoTrait::isHtmxBoosted protected function Determines if the request is boosted by HTMX.
HtmxRequestInfoTrait::isHtmxHistoryRestoration protected function Determines if if the request is for history restoration.
HtmxRequestInfoTrait::isHtmxRequest protected function Determines if the request is sent by HTMX.
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 25
MessengerTrait::messenger public function Gets the messenger. 25
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
SearchPageAddForm::actions protected function Overrides EntityForm::actions
SearchPageAddForm::buildForm public function Overrides SearchPageFormBase::buildForm
SearchPageAddForm::save public function Overrides SearchPageFormBase::save
SearchPageFormBase::$entity protected property The entity being used by this form. Overrides EntityForm::$entity
SearchPageFormBase::$plugin protected property The search plugin being configured.
SearchPageFormBase::$searchPageRepository protected property The search page repository.
SearchPageFormBase::create public static function Overrides FormBase::create
SearchPageFormBase::exists public function Determines if the search page entity already exists.
SearchPageFormBase::form public function Overrides EntityForm::form
SearchPageFormBase::getBaseFormId public function Overrides EntityForm::getBaseFormId
SearchPageFormBase::submitForm public function Overrides EntityForm::submitForm
SearchPageFormBase::validateForm public function Overrides FormBase::validateForm
SearchPageFormBase::__construct public function Constructs a new search form.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.